Update a value list
- Base URL
-
https://{kibana_url}
- PUT /api/lists
- PUT /s/{space_id}/api/lists
Refer to Spaces for more information.
Update a value list using the list id. The original list is replaced, and all unspecified fields are deleted.
Note
You cannot modify the id value.
Request body
Value list's properties
Responses
Successful response
-
_versionstring -
The version id, normally returned by the API when the document is retrieved. Use it ensure updates are done against the latest version.
-
tie_breaker_idstringrequired -
Field used in search to ensure all containers are sorted and returned correctly.
-
typerequired -
Specifies the Elasticsearch data type of excludes the list container holds. Some common examples:
keyword: Many ECS fields are Elasticsearch keywordsip: IP addressesip_range: Range of IP addresses (supports IPv4, IPv6, and CIDR notation)
-
Values:
binarybooleanbytedatedate_nanosdate_rangedoubledouble_rangefloatfloat_rangegeo_pointgeo_shapehalf_floatintegerinteger_rangeipip_rangekeywordlonglong_rangeshapeshorttext
Invalid input data response
One of:
Unsuccessful authentication response
Not enough privileges response